bts_features.h File Reference
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/bitvec.h>`

Go to the source code of this file.

## Macros

#define | MAX_BTS_FEATURES 128

## Enumerations

enum | osmo_bts_features { BTS_FEAT_HSCSD, BTS_FEAT_GPRS, BTS_FEAT_EGPRS, BTS_FEAT_ECSD, BTS_FEAT_HOPPING, BTS_FEAT_MULTI_TSC, BTS_FEAT_OML_ALERTS, BTS_FEAT_AGCH_PCH_PROP, BTS_FEAT_CBCH, BTS_FEAT_SPEECH_F_V1, BTS_FEAT_SPEECH_H_V1, BTS_FEAT_SPEECH_F_EFR, BTS_FEAT_SPEECH_F_AMR, BTS_FEAT_SPEECH_H_AMR, _NUM_BTS_FEAT }

## Functions

const char * | osmo_bts_feature_name (enum osmo_bts_features feature)
| return string representation of a BTS feature More...
static int | osmo_bts_set_feature (struct bitvec *features, enum osmo_bts_features feature)
static bool | osmo_bts_has_feature (const struct bitvec *features, enum osmo_bts_features feature)

## Variables

const struct value_string | osmo_bts_features_descs []

## Macro Definition Documentation

## MAX_BTS_FEATURES

#define MAX_BTS_FEATURES 128

## Enumeration Type Documentation

## osmo_bts_features

enum osmo_bts_features

Enumerator
BTS_FEAT_HSCSD |
BTS_FEAT_GPRS |
BTS_FEAT_EGPRS |
BTS_FEAT_ECSD |
BTS_FEAT_HOPPING |
BTS_FEAT_MULTI_TSC |
BTS_FEAT_OML_ALERTS |
BTS_FEAT_AGCH_PCH_PROP |
BTS_FEAT_CBCH |
BTS_FEAT_SPEECH_F_V1 |
BTS_FEAT_SPEECH_H_V1 |
BTS_FEAT_SPEECH_F_EFR |
BTS_FEAT_SPEECH_F_AMR |
BTS_FEAT_SPEECH_H_AMR |
_NUM_BTS_FEAT |

## Function Documentation

## osmo_bts_feature_name()

const char* osmo_bts_feature_name | ( | enum osmo_bts_features | feature | ) |

return string representation of a BTS feature

References osmo_bts_features_descs.

## osmo_bts_has_feature()

static bool osmo_bts_has_feature | ( | const struct bitvec * | features,
|  | enum osmo_bts_features | feature
| ) |  |

inline static

References _NUM_BTS_FEAT, and MAX_BTS_FEATURES.

## osmo_bts_set_feature()

static int osmo_bts_set_feature | ( | struct bitvec * | features,
|  | enum osmo_bts_features | feature
| ) |  |

inline static

References _NUM_BTS_FEAT, and MAX_BTS_FEATURES.

## Variable Documentation

## osmo_bts_features_descs

const struct value_string osmo_bts_features_descs[]

Referenced by osmo_bts_feature_name().